<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class PresupuestoDetalle extends Model
{
    protected $table = "presupuesto_detalle";
    protected $fillable = ['autorizado', 'adecuado', 'requisicion', 'ejercido', 'disponible', 'estado', 'partida_id', 'presupuesto_id'];
    protected $with = ['partida'];

    public function partida(){
    	return $this->hasOne('App\Partida', 'id', 'partida_id');
    }

    public function presupuesto(){
    	return $this->belongsTo('App\Presupuesto', 'presupuesto_id', 'id');
    }

}
